Package edu.wisc.game.math

## Class Comparandum

- java.lang.Object
- - edu.wisc.game.math.Comparandum

- All Implemented Interfaces:
    `Comparable<Comparandum>`

      public class Comparandum
      extends Object
      implements Comparable<Comparandum>

  Represents a thing to be compared using the Mann-Whitney-test: either an algo (which is to be compared with other algos based on its performance on some rule set), or a rule set (which is being compare to other rule set based on how a particular algo, or the set of humans, perform on it).

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(Comparandum o)` |
    `static Comparandum[][]` | `mkHumanComparanda​(MwSeries[] res, MwByHuman.PrecMode precMode, boolean useMDagger)` | Creates a list of comparanda for a number of rule sets.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### compareTo

          public int compareTo​(Comparandum o)

      Specified by:
        `compareTo` in interface `Comparable<Comparandum>`

    - #### mkHumanComparanda

          public static Comparandum[][] mkHumanComparanda​(MwSeries[] res,
                                                          MwByHuman.PrecMode precMode,
                                                          boolean useMDagger)

      Creates a list of comparanda for a number of rule sets. The Comparandum for a rule set (or, more generally, "an experience") is based on the on human performance data for this rule set.
      Parameters:
        `res` - A table of "series" entries, each of which describes the summary of a series, i.e. the performance of a human player on a rule set.
        `precMode` - This controls how "experiences" are grouped into "same" or "different" ones (depending on the preceding rule sets)
      Returns:
        {learnedOnes[], nonLearnedOnes[]}